Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.clocks
Class TimeBase

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.std.clocks.TimeBase

All Implemented Interfaces:
  quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QTStreamingLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class TimeBase
extends QTObject
implements quicktime.jdirect.QuickTimeLib, quicktime.jdirect.QTStreamingLib

The TimeBase defines the QuickTime time coordinate system of a movie. May be used for general timing purposes. refer to TimeBaseRecord in QuickTime

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Fields inherited from interface quicktime.jdirect.QTStreamingLib
`JDirect_MacOSX, libraryInstance`

Constructor Summary
`TimeBase()` This allows your application to obtain a new time base.

Method Summary
`static TimeBase` | `fromICMFrameTime(ICMFrameTime ft)`
`static TimeBase` | `fromMovie(Movie m)` This method allows you to get movie's TimeBase.
`static TimeBase` | `fromPresentation(Presentation p)` Returns the Presentation's current time Base.
`static TimeBase` | `fromQTCallBack(QTCallBack cb)` Retrieve the time base of a callback event.
`static TimeBase` | `fromSequenceGrabber(SequenceGrabber sg)` Returns the SequenceGrabber's current time Base.
`static TimeBase` | `fromTimeRecord(TimeRecord tr)` Return the TimeBase that is associated with this record.
`static TimeBase` | `fromTunePlayer(TunePlayer tp)` Returns the TunePlayer's current time Base.
`float` | `getEffectiveRate()` Useful when needed to make scheduling decisions based on the rate of a time base.
`int` | `getFlags()` This allows your application to obtain the contents of the control flags of a time base.
`Clock` | `getMasterClock()` Determines the clock component that is assigned to a time base.
`TimeBase` | `getMasterTimeBase()` This allows your application to determine the master time base that is assigned to a time base.
`float` | `getRate()` This allows your application to retrieve the rate of a time base.
`int` | `getStartTime()` This allows you to determine the start time of a time base in the preferred scale of the time base QuickTime::GetTimeBaseStartTime
`int` | `getStartTime(int scale)` This allows you to determine the start time of a time base.
`int` | `getStatus(TimeRecord unpinnedTime)` This allows your application to retrieve status information from a time base.
`int` | `getStopTime()` This allows you to determine the stop time of a time base in the preferred time scale of the TimeBase QuickTime::GetTimeBaseStopTime
`int` | `getStopTime(int scale)` This allows you to determine the stop time of a time base in the default scale of the time base.
`int` | `getTime()` This allows your application to obtain the current time value from a time base in its preferred time scale.
`int` | `getTime(int scale)` This allows your application to obtain the current time value from a time base.
`TimeRecord` | `getTRStartTime()` This allows you to determine the start time of a time base in the default scale of the time base.
`TimeRecord` | `getTRStartTime(int scale)` This allows you to determine the start time of a time base.
`TimeRecord` | `getTRStopTime()` This allows you to determine the stop time of a time base in the default scale of the time base.
`TimeRecord` | `getTRStopTime(int scale)` This allows you to determine the stop time of a time base in the default scale of the time base.
`TimeRecord` | `getTRTime()` This allows your application to obtain the current time value from a time base in the default scale of the time base.
`TimeRecord` | `getTRTime(int scale)` This allows your application to obtain the current time value from a time base.
`void` | `setFlags(int timeBaseFlags)` This allows your application to set the contents of the control flags of a time base.
`void` | `setMasterClock(Clock clockMeister, TimeRecord slaveZero)` Specifies the clock component that is assigned to a time base.
`void` | `setMasterTimeBase(TimeBase master, TimeRecord slaveZero)` This allows your application to assign a master time base to a time base.
`void` | `setRate(float rate)` This allows your application to set the rate of a time base.
`void` | `setStartTime(TimeRecord tr)` This allows you to set the start time of a time base and defines the time base's the minimum time value.
`void` | `setStopTime(TimeRecord tr)` This allows you to set the stop time of a time base and defines the time base's the maximum time value.
`void` | `setTime(TimeRecord tr)` This allows your application to set the current time of a time base.
`void` | `setValue(int time, int scale)` This allows your application to set the current time of a time base.
`void` | `setZero(TimeRecord zero)` This allows your application to change the offset from a time base to either its master time base or its clock component.
`java.lang.String` | `toString()` Print information about this TimeBase object.

Methods inherited from class quicktime.QTObject
`disposeQTObject, equals, ID`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TimeBase

    public TimeBase()
             throws QTException

  This allows your application to obtain a new time base.
  QuickTime::NewTimeBase

  Method Detail

  ### fromTimeRecord

      public static TimeBase fromTimeRecord(TimeRecord tr)

    Return the TimeBase that is associated with this record. If there is no TimeBase then returns null.
    See Also:
      `TimeRecord.getTimeBase()`

  ### fromQTCallBack

      public static TimeBase fromQTCallBack(QTCallBack cb)

    Retrieve the time base of a callback event.
    QuickTime::GetCallBackTimeBase()
  Returns:
    the time base of the callback.
  See Also:
    `QTCallBack.getTimeBase()`

### fromICMFrameTime

    public static TimeBase fromICMFrameTime(ICMFrameTime ft)

  Returns:
    the current time base - can be null
  See Also:
    `ICMFrameTime.getBase()`

### fromMovie

    public static TimeBase fromMovie(Movie m)
                              throws StdQTException

  This method allows you to get movie's TimeBase.
  QuickTime::GetMovieTimeBase()

  Returns:
    a TimeBase object for movie's timebase
  See Also:
    `Movie.getTimeBase()`

### fromTunePlayer

    public static TimeBase fromTunePlayer(TunePlayer tp)
                                   throws StdQTException

  Returns the TunePlayer's current time Base.
  QuickTime::TuneGetTimeBase

  Returns:
    the TimeBase
  See Also:
    `TunePlayer.getTimeBase()`

### fromPresentation

    public static TimeBase fromPresentation(Presentation p)
                                     throws StdQTException

  Returns the Presentation's current time Base.

  Returns:
    the TimeBase
  See Also:
    `Presentation.getTimeBase()`

### fromSequenceGrabber

    public static TimeBase fromSequenceGrabber(SequenceGrabber sg)
                                        throws StdQTException

  Returns the SequenceGrabber's current time Base.
  QuickTime::TuneGetTimeBase

  Returns:
    the TimeBase
  See Also:
    `quicktime.std.music.SequenceGrabber#getTimeBase`

### getTime

    public int getTime()

  This allows your application to obtain the current time value from a time base in its preferred time scale.
  QuickTime::GetTimeBaseTime
  Returns:
    The time value that contains the current time from the specified time base in specified time scale

### getTime

    public int getTime(int scale)

  This allows your application to obtain the current time value from a time base.
  QuickTime::GetTimeBaseTime
  Parameters:
    `scale` - Specifies the time scale in which to return the current time value
  Returns:
    The time value that contains the current time from the specified time base in specified time scale

### getTRTime

    public TimeRecord getTRTime()
                         throws QTException

  This allows your application to obtain the current time value from a time base in the default scale of the time base.
  QuickTime::GetTimeBaseTime
  Returns:
    the current time specified as a TimeRecord

### getTRTime

    public TimeRecord getTRTime(int scale)
                         throws QTException

  This allows your application to obtain the current time value from a time base.
  QuickTime::GetTimeBaseTime
  Parameters:
    `scale` - Specifies the time scale in which to return the current time value
  Returns:
    the current time specified as a TimeRecord

### setTime

    public void setTime(TimeRecord tr)

  This allows your application to set the current time of a time base.
  QuickTime::SetTimeBaseTime

  Parameters:
    `tr` - The time structure that contains the current time

### setValue

    public void setValue(int time,
                         int scale)

  This allows your application to set the current time of a time base.
  QuickTime::SetTimeBaseValue

  Parameters:
    `time` - Specifies the new time value
    `scale` - Specifies the time scale of the new time value

### getRate

    public float getRate()

  This allows your application to retrieve the rate of a time base.
  QuickTime::GetTimeBaseRate

  Returns:
    The current rate of the time base as a float

### setRate

    public void setRate(float rate)

  This allows your application to set the rate of a time base.
  QuickTime::SetTimeBaseRate

  Parameters:
    `rate` - Specifies the time rate of the time base

### getEffectiveRate

    public float getEffectiveRate()

  Useful when needed to make scheduling decisions based on the rate of a time base.
  QuickTime::GetTimeBaseEffectiveRate

  Returns:
    The effective rate as an float

### getStartTime

    public int getStartTime()

  This allows you to determine the start time of a time base in the preferred scale of the time base
  QuickTime::GetTimeBaseStartTime

  Returns:
    The time value that contains the start time from the specified time base in the specified time scale

### getStartTime

    public int getStartTime(int scale)

  This allows you to determine the start time of a time base.
  QuickTime::GetTimeBaseStartTime

  Parameters:
    `scale` - Specifies the time scale in which to return the start time
  Returns:
    The time value that contains the start time from the specified time base in the specified time scale

### getTRStartTime

    public TimeRecord getTRStartTime()
                              throws QTException

  This allows you to determine the start time of a time base in the default scale of the time base.
  QuickTime::GetTimeBaseStartTime

  Returns:
    The time value that contains the start time from the specified time base in the specified time scale

### getTRStartTime

    public TimeRecord getTRStartTime(int scale)
                              throws QTException

  This allows you to determine the start time of a time base.
  QuickTime::GetTimeBaseStartTime

  Parameters:
    `scale` - Specifies the time scale in which to return the start time
  Returns:
    The time value that contains the start time from the specified time base in the specified time scale

### setStartTime

    public void setStartTime(TimeRecord tr)

  This allows you to set the start time of a time base and defines the time base's the minimum time value.
  QuickTime::SetTimeBaseStartTime

  Parameters:
    `tr` - The time object that contains the start time value

### getStopTime

    public int getStopTime()

  This allows you to determine the stop time of a time base in the preferred time scale of the TimeBase
  QuickTime::GetTimeBaseStopTime

  Returns:
    The time value that contains the stop time from the specified time base in the specified time scale

### getStopTime

    public int getStopTime(int scale)

  This allows you to determine the stop time of a time base in the default scale of the time base.
  QuickTime::GetTimeBaseStopTime

  Parameters:
    `scale` - Specifies the time scale in which to return the stop time
  Returns:
    The time value that contains the stop time from the specified time base in the specified time scale

### getTRStopTime

    public TimeRecord getTRStopTime()
                             throws QTException

  This allows you to determine the stop time of a time base in the default scale of the time base.
  QuickTime::GetTimeBaseStopTime

  Returns:
    The time value that contains the stop time from the specified time base in the specified time scale

### getTRStopTime

    public TimeRecord getTRStopTime(int scale)
                             throws QTException

  This allows you to determine the stop time of a time base in the default scale of the time base.
  QuickTime::GetTimeBaseStopTime

  Returns:
    The time value that contains the stop time from the specified time base in the specified time scale

### setStopTime

    public void setStopTime(TimeRecord tr)

  This allows you to set the stop time of a time base and defines the time base's the maximum time value.
  QuickTime::SetTimeBaseStopTime

  Parameters:
    `tr` - The time structure that contains the stop time value

### getFlags

    public int getFlags()

  This allows your application to obtain the contents of the control flags of a time base. Flags defined are loopTimeBase or palindromeLoopTimeBase, cf quicktime.std.movies package.
  QuickTime::GetTimeBaseFlags

  Returns:
    the control flags.

### setFlags

    public void setFlags(int timeBaseFlags)

  This allows your application to set the contents of the control flags of a time base.
  QuickTime::SetTimeBaseFlags

  Parameters:
    `timeBaseFlags` - Specifies the control flags for the time base.

### getStatus

    public int getStatus(TimeRecord unpinnedTime)

  This allows your application to retrieve status information from a time base.
  QuickTime::GetTimeBaseStatus

  Parameters:
    `unpinnedTime` - The time structure that will receive the current time of the time base
  Returns:
    The flags that indicate whether the returned time value is outside the range of values specified by the start and stop times of the time base

### setZero

    public void setZero(TimeRecord zero)

  This allows your application to change the offset from a time base to either its master time base or its clock component.
  QuickTime::SetTimeBaseZero

  Parameters:
    `zero` - The time structure that corresponds to a 0 time value for the slave time scale

### setMasterTimeBase

    public void setMasterTimeBase(TimeBase master,
                                  TimeRecord slaveZero)

  This allows your application to assign a master time base to a time base.
  QuickTime::SetTimeBaseMasterTimeBase

  Parameters:
    `master` - Specifies the master time base to be assigned to this slaved time base
    `slaveZero` - Specifies the time, in the master time base time scale, that corresponds to a 0 time value for this slaved time base

### getMasterTimeBase

    public TimeBase getMasterTimeBase()

  This allows your application to determine the master time base that is assigned to a time base. If the TimeBase is slaved to a clock this will return null.
  QuickTime::GetTimeBaseMasterTimeBase

  Returns:
    The master time base assigned to this time base or null
  See Also:
    `getMasterClock`

### setMasterClock

    public void setMasterClock(Clock clockMeister,
                               TimeRecord slaveZero)

  Specifies the clock component that is assigned to a time base.
  QuickTime::SetTimeBaseMasterClock

  Parameters:
    `clockMeister` - The specified clock.
    `slaveZero` - The specified time record used in offsetting the time value of the time base and specified clock.
  Returns:
    A clock component instance.

### getMasterClock

    public Clock getMasterClock()

  Determines the clock component that is assigned to a time base. If this call returns null then the TimeBase is not slaved to a clock, but is slaved to another TimeBase.
  QuickTime::GetTimeBaseMasterClock

  Parameters:
    `tb` - The specified time base.
  Returns:
    A clock component instance or null
  See Also:
    `getMasterTimeBase`

### toString

    public java.lang.String toString()

  Print information about this TimeBase object.
  Overrides:
    `toString` in class `QTObject`
  Returns:
    a string representing this TimeBase object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD